SchemaAware (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.schema

## Interface SchemaAware

- All Known Implementing Classes:
    AsArraySerializerBase, BeanSerializer, BeanSerializerBase, CalendarSerializer, CollectionSerializer, ContainerSerializerBase, CoreXMLSerializers.XMLGregorianCalendarSerializer, DataHandlerJsonSerializer, DateSerializer, DomElementJsonSerializer, DOMSerializer, EnumMapSerializer, EnumSerializer, EnumSerializer, EnumSetSerializer, FailingSerializer, IndexedStringListSerializer, InetAddressSerializer, IterableSerializer, JodaSerializers.DateMidnightSerializer, JodaSerializers.DateTimeSerializer, JodaSerializers.JodaSerializer, JodaSerializers.LocalDateSerializer, JodaSerializers.LocalDateTimeSerializer, JsonValueSerializer, MapSerializer, MapSerializer, NonTypedScalarSerializerBase, NullSerializer, ObjectArraySerializer, RawSerializer, ScalarSerializerBase, ScalarSerializerBase, SerializableSerializer, SerializableWithTypeSerializer, SerializerBase, SerializerBase, StaticListSerializerBase, StdArraySerializers.ArraySerializerBase, StdArraySerializers.BooleanArraySerializer, StdArraySerializers.ByteArraySerializer, StdArraySerializers.CharArraySerializer, StdArraySerializers.DoubleArraySerializer, StdArraySerializers.FloatArraySerializer, StdArraySerializers.IntArraySerializer, StdArraySerializers.LongArraySerializer, StdArraySerializers.ShortArraySerializer, StdArraySerializers.StringArraySerializer, StdContainerSerializers.IndexedListSerializer, StdContainerSerializers.IteratorSerializer, StdJdkSerializers.AtomicBooleanSerializer, StdJdkSerializers.AtomicIntegerSerializer, StdJdkSerializers.AtomicLongSerializer, StdJdkSerializers.AtomicReferenceSerializer, StdJdkSerializers.ClassSerializer, StdJdkSerializers.FileSerializer, StdKeySerializer, StdKeySerializer, StdKeySerializers.CalendarKeySerializer, StdKeySerializers.DateKeySerializer, StdKeySerializers.StringKeySerializer, StdSerializers.BooleanSerializer, StdSerializers.CalendarSerializer, StdSerializers.DoubleSerializer, StdSerializers.FloatSerializer, StdSerializers.IntegerSerializer, StdSerializers.IntLikeSerializer, StdSerializers.LongSerializer, StdSerializers.NumberSerializer, StdSerializers.SerializableSerializer, StdSerializers.SerializableWithTypeSerializer, StdSerializers.SqlDateSerializer, StdSerializers.SqlTimeSerializer, StdSerializers.StringSerializer, StdSerializers.UtilDateSerializer, StringCollectionSerializer, StringSerializer, TimeZoneSerializer, TokenBufferSerializer, ToStringSerializer, ToStringSerializer, UnknownSerializer, UnwrappingBeanSerializer, XmlAdapterJsonSerializer

      public interface SchemaAware

  Marker interface for schema-aware serializers.
  Author:
    Ryan Heaton

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonNode` | `getSchema(SerializerProvider provider, Type typeHint)` Get the representation of the schema to which this serializer will conform.

- - ### Method Detail

    - #### getSchema

          JsonNode getSchema(SerializerProvider provider,
                           Type typeHint)
                             throws JsonMappingException

      Get the representation of the schema to which this serializer will conform.
      Parameters:
        `provider` - The serializer provider.
        `typeHint` - A hint about the type.
      Returns:
        Json-schema for this serializer.
      Throws:
        `JsonMappingException`